module Shoestrap
  module CMSModel
    def self.included(base)
      base.extend(ClassMethods)
    end

    module ClassMethods
      def index_attributes(*attributes)
        if attributes.empty?
          instance_variable_get(:@shoestrap_index_attributes)
        else
          instance_variable_set(:@shoestrap_index_attributes, attributes)
        end
      end

      def editable_attributes(*attributes)
        if attributes.empty?
          instance_variable_get(:@shoestrap_editable_attributes)
        else
          instance_variable_set(:@shoestrap_editable_attributes, attributes)
        end
      end
    end
  end
end
